#!/bin/bash
#
# Last update: 2018.7.19
# URL : https://docs.cloudlinux.com/index.html?detect_users_php_version.html

# 執行過 /opt/cpinst/jacky_script/view_all_account_php_version.sh 程式，會將相關資訊存放以下路徑
# 帳號資訊存放 : /tmp/account.txt
# 版本資訊存放 : /tmp/version.txt

# 將檔案內資料變成陣列
mapfile account < /tmp/account.txt
mapfile version < /tmp/version.txt

# 利用 for 將檔案內帳號，執行指令更改為正確的PHP版本
for ((i=0; i < ${#account[@]}; i++))
do
/usr/bin/selectorctl --set-user-current=${version[${i}]} --user=${account[${i}]}
done

